# CustomDataScopedWorker Class Reference
[Root classes for building DAO hierarchies]

Cache custom scoped data. More...

Inheritance diagram for CustomDataScopedWorker:
[legend]

List of all members.

## Public Member Functions

| __construct ($dao)
| cacheData ($key, $data, $expires=Cache::EXPIRES_FOREVER)
| getCachedData ($key)

## Private Member Functions

| makeDataKey ($key, $suffix)

## Detailed Description

Cache custom scoped data.

See also:
  CommonDaoWorker for manual-caching one.
  SmartDaoWorker for transparent one.

Definition at line 20 of file CustomDataScopedWorker.class.php.

## Constructor & Destructor Documentation

CustomDataScopedWorker::__construct | ( | $ | dao | ) |

Definition at line 22 of file CustomDataScopedWorker.class.php.

References BaseDaoWorker::$dao, and Cache::me().

Here is the call graph for this function:

## Member Function Documentation

CustomDataScopedWorker::cacheData | ( | $ | key,
|  | $ | data,
|  | $ | expires = `Cache::EXPIRES_FOREVER` |
| ) |  |  |

Definition at line 33 of file CustomDataScopedWorker.class.php.

References makeDataKey(), and Cache::me().

Here is the call graph for this function:

CustomDataScopedWorker::getCachedData | ( | $ | key | ) |

Definition at line 49 of file CustomDataScopedWorker.class.php.

References makeDataKey(), and Cache::me().

Here is the call graph for this function:

CustomDataScopedWorker::makeDataKey | ( | $ | key,
|  | $ | suffix |
| ) |  |  | `[private]`

Definition at line 56 of file CustomDataScopedWorker.class.php.

Referenced by cacheData(), and getCachedData().

The documentation for this class was generated from the following file:

- main/DAOs/Workers/CustomDataScopedWorker.class.php